# Copyright 2017-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

CRATES="
ab_glyph-0.2.11
ab_glyph_rasterizer-0.1.5
addr2line-0.15.2
adler-1.0.2
ahash-0.7.6
aho-corasick-0.7.15
android_glue-0.2.3
ansi_term-0.11.0
anyhow-1.0.45
arrayvec-0.5.2
atomic_refcell-0.1.8
atty-0.2.14
autocfg-1.0.1
backtrace-0.3.59
base64-0.13.0
bindgen-0.59.1
bitflags-1.3.2
bitvec-0.19.5
block-0.1.6
bumpalo-3.8.0
calloop-0.9.3
cc-1.0.71
cexpr-0.5.0
cfg-expr-0.8.1
cfg-if-0.1.10
cfg-if-1.0.0
cgl-0.3.2
chrono-0.4.19
clang-sys-1.3.0
clap-2.33.3
clipboard-win-3.1.1
cocoa-0.24.0
cocoa-foundation-0.1.0
colored-1.9.3
cookie-factory-0.3.2
copypasta-0.7.1
core-foundation-0.7.0
core-foundation-0.9.2
core-foundation-sys-0.7.0
core-foundation-sys-0.8.3
core-graphics-0.19.2
core-graphics-0.22.3
core-graphics-types-0.1.1
core-video-sys-0.1.4
cty-0.2.2
darling-0.13.1
darling_core-0.13.1
darling_macro-0.13.1
derivative-2.2.0
directories-next-2.0.0
dirs-sys-next-0.1.2
dispatch-0.2.0
dlib-0.5.0
downcast-rs-1.2.0
eframe-0.16.0
egui-0.16.1
egui-winit-0.16.0
egui_glium-0.16.0
egui_web-0.16.0
either-1.6.1
emath-0.16.0
env_logger-0.8.4
epaint-0.16.0
epi-0.16.0
errno-0.2.8
errno-dragonfly-0.1.2
fnv-1.0.7
foreign-types-0.3.2
foreign-types-shared-0.1.1
funty-1.1.0
getrandom-0.2.3
gimli-0.24.0
gl_generator-0.14.0
glium-0.31.0
glob-0.3.0
glutin-0.28.0
glutin_egl_sys-0.1.5
glutin_emscripten_sys-0.1.1
glutin_gles2_sys-0.1.5
glutin_glx_sys-0.1.7
glutin_wgl_sys-0.1.5
heck-0.3.3
hermit-abi-0.1.19
humantime-2.1.0
ident_case-1.0.1
instant-0.1.12
itertools-0.10.1
jni-sys-0.3.0
js-sys-0.3.55
khronos_api-3.1.0
lazy-bytes-cast-5.0.1
lazy_static-1.4.0
lazycell-1.3.0
lexical-core-0.7.6
libc-0.2.107
libloading-0.7.1
libspa-0.4.1
libspa-sys-0.4.1
lock_api-0.4.5
log-0.4.14
malloc_buf-0.0.6
memchr-2.3.4
memmap2-0.3.1
memoffset-0.6.4
minimal-lexical-0.2.1
miniz_oxide-0.4.4
mio-0.8.0
miow-0.3.7
natord-1.0.9
ndk-0.5.0
ndk-glue-0.5.0
ndk-macro-0.3.0
ndk-sys-0.2.2
nix-0.14.1
nix-0.22.0
nohash-hasher-0.2.0
nom-6.2.1
nom-7.1.0
ntapi-0.3.6
num-integer-0.1.44
num-traits-0.2.14
num_enum-0.5.4
num_enum_derive-0.5.4
objc-0.2.7
objc-foundation-0.1.1
objc_id-0.1.1
object-0.24.0
once_cell-1.8.0
osmesa-sys-0.1.2
owned_ttf_parser-0.12.1
parking_lot-0.11.2
parking_lot_core-0.8.5
peeking_take_while-0.1.2
percent-encoding-2.1.0
pipewire-0.4.1
pipewire-sys-0.4.1
pkg-config-0.3.22
ppv-lite86-0.2.15
proc-macro-crate-1.1.0
proc-macro2-1.0.32
quick-xml-0.22.0
quote-1.0.10
radium-0.5.3
rand-0.8.4
rand_chacha-0.3.1
rand_core-0.6.3
rand_hc-0.3.1
raw-window-handle-0.4.2
redox_syscall-0.2.10
redox_users-0.4.0
regex-1.4.6
regex-syntax-0.6.25
ron-0.7.0
rustc-demangle-0.1.21
rustc-hash-1.1.0
ryu-1.0.5
scoped-tls-1.0.0
scopeguard-1.1.0
serde-1.0.130
serde_derive-1.0.130
shared_library-0.1.9
shlex-1.1.0
signal-0.7.0
simple_logger-1.13.0
smallvec-1.7.0
smithay-client-toolkit-0.15.2
smithay-clipboard-0.6.5
static_assertions-1.1.0
strsim-0.10.0
strsim-0.8.0
strum-0.21.0
strum_macros-0.21.1
syn-1.0.81
system-deps-3.2.0
takeable-option-0.5.0
tap-1.0.1
termcolor-1.1.2
textwrap-0.11.0
thiserror-1.0.30
thiserror-impl-1.0.30
time-0.1.43
toml-0.5.8
ttf-parser-0.12.3
unicode-segmentation-1.8.0
unicode-width-0.1.9
unicode-xid-0.2.2
vec_map-0.8.2
version-compare-0.0.11
version_check-0.9.3
void-1.0.2
wasi-0.10.2+wasi-snapshot-preview1
wasm-bindgen-0.2.78
wasm-bindgen-backend-0.2.78
wasm-bindgen-futures-0.4.28
wasm-bindgen-macro-0.2.78
wasm-bindgen-macro-support-0.2.78
wasm-bindgen-shared-0.2.78
wayland-client-0.29.1
wayland-commons-0.29.1
wayland-cursor-0.29.1
wayland-egl-0.29.1
wayland-protocols-0.29.1
wayland-scanner-0.29.1
wayland-sys-0.29.1
web-sys-0.3.55
webbrowser-0.5.5
which-3.1.1
widestring-0.4.3
winapi-0.3.9
winapi-i686-pc-windows-gnu-0.4.0
winapi-util-0.1.5
winapi-x86_64-pc-windows-gnu-0.4.0
winit-0.26.0
wyz-0.2.0
x11-clipboard-0.5.3
x11-dl-2.19.1
xcb-0.10.1
xcursor-0.3.4
xml-rs-0.8.4
"

inherit cargo

DESCRIPTION="A simple and elegant, pipewire graph editor"
HOMEPAGE="https://github.com/Ax9D/pw-viz"
SRC_URI="https://github.com/Ax9D/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
		$(cargo_crate_uris ${CRATES})"
RESTRICT="mirror"
LICENSE="GPL-3.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="media-video/pipewire"
RDEPEND="${DEPEND}"
